Loading...
Searching...
No Matches
Memory.h File Reference
`#include <cstring>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename T>
void | casacore::copy_n_with_stride (const T *from, std::size_t n, T *to, std::size_t toStride, std::size_t fromStride)
template<typename T>
void | casacore::move_n_with_stride (T *from, std::size_t n, T *to, std::size_t toStride, std::size_t fromStride)
template<typename T>
void | casacore::fill_n_with_stride (T *dest, size_t n, const T &value, size_t stride)